Draft Réseau de points

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft PointArray and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский

Draft PointArray.svg Draft Réseau de points

Emplacement du menu
Modification → Outils de réseau → Réseau de points
Ateliers
Draft, Arch
Raccourci par défaut
Aucun
Introduit dans la version
0.18
Voir aussi
Draft Réseau orthogonal, Draft Réseau polaire, Draft Réseau circulaire, Draft Réseau selon une courbe, Draft Réseau lié selon une courbe, Draft Réseau lié selon des points

Description

La commande Draft PointArray.svg Draft Réseau de points crée un réseau régulier à partir d'un objet sélectionné en plaçant des copies aux points d'un composé de points. Utilisez la commande Draft Réseau lié selon une courbe pour créer un réseau lié Link plus efficace. À l'exception du type de réseau créé, réseau de liens ou réseau régulier, la commande Draft Réseau lié selon une courbe est identique à cette commande.

Ces deux commandes peuvent être utilisées sur des objets 2D créés avec l'atelier Draft ou l'atelier Sketcher, mais aussi sur de nombreux objets 3D tels que ceux créés avec l'atelier Part, l'atelier PartDesign ou l'atelier Arch.

Draft PointArray Example.png

Un réseau Draft de points

Utilisation

  1. Sélectionnez l'objet que vous souhaitez mettre en réseau.
  2. Ajoutez l'objet composé de points à la sélection.
  3. Il existe plusieurs façons de lancer la commande :
    • Appuyez sur le bouton Draft PointArray.svg Réseau de points.
    • Sélectionnez l'option Modification → Outils de réseau → Draft PointArray.svg Réseau de points dans le menu.
  4. Le réseau est créé.
  5. Vous pouvez éventuellement modifier les propriétés du réseau dans l'Éditeur de propriétés.

Composé de points

Un composé de points est un objet qui contient un ou plusieurs points. Voici les composés de points pris en charge et la façon dont ils peuvent être créés :

Propriétés

Voir aussi: Éditeur de propriétés

Un objet Draft Réseau de points est dérivé d'un objet Part Feature et hérite de toutes ses propriétés (à l'exception de certaines propriétés Vue qui ne sont pas héritées par les réseaux Link). Les propriétés suivantes sont supplémentaires, sauf indication contraire :

Données

Link

Les propriétés de ce groupe ne sont disponibles que pour les réseaux de liens. Voir Std Créer un lien pour plus d'informations.

  • DonnéesScale (Float)
  • Données (Hidden)Scale Vector (Vector)
  • DonnéesScale List (VectorList)
  • Données (Hidden)Visibility List (BoolList)
  • Données (Hidden)Placement List (PlacementList)
  • Données (Hidden)Element List (LinkList)
  • Données (Hidden)_ Link Touched (Bool)
  • Données (Hidden)_ Child Cache (LinkList)
  • Données (Hidden)Colored Elements (LinkSubHidden)
  • DonnéesLink Transform (Bool)

Objects

  • DonnéesBase (Link) : spécifie l'objet à dupliquer dans le réseau.
  • DonnéesCount (Integer) : (en lecture seule) spécifie le nombre d'éléments dans le réseau. Ce nombre est déterminé par le nombre de points dans l'objet DonnéesPoint.
  • DonnéesExpand Array (Bool) : spécifie s'il faut développer le réseau dans la Vue en arborescence pour permettre la sélection de ses éléments individuels. Disponible uniquement pour les réseaux de type Link.
  • DonnéesExtra Placement (Placement) : spécifie un placement, une translation et une rotation supplémentaires pour chaque élément du réseau. Introduit dans la version 0.19
  • DonnéesPoint Object (Link) : spécifie l'objet composé dont les points sont utilisés pour positionner les éléments du réseau. L'objet doit avoir une propriété DonnéesLinks, DonnéesComponents ou DonnéesGeometry et contenir au moins un élément avec les propriétés DonnéesX, DonnéesY, et DonnéesZ.

Vue

Link

Les propriétés de ce groupe, à l'exception de la propriété héritée, ne sont disponibles que pour les réseaux liens (Link). Voir Std Créer un lien pour plus d'informations.

  • VueDraw Style (Enumeration)
  • VueLine Width (FloatConstraint)
  • VueOverride Material (Bool)
  • VuePoint Size (FloatConstraint)
  • VueSelectable (Bool) : il s'agit d'une propriété héritée qui apparaît dans le groupe Sélection pour d'autres réseaux.
  • VueShape Material (Material)

Base

Les propriétés de ce groupe, à l'exception de la propriété héritée, ne sont disponibles que pour les réseaux liens (Link). Voir Std Créer un lien pour plus d'informations.

  • Vue (Hidden)Child View Provider (PersistentObject)
  • Vue (Hidden)Material List (MaterialList)
  • Vue (Hidden)Override Color List (ColorList)
  • Vue (Hidden)Override Material List (BoolList)
  • Vue (Hidden)Proxy (PythonObject): il s'agit d'une propriété héritée.

Display Options

Les propriétés de ce groupe sont des propriétés héritées. Voir Part Feature pour plus d'informations.

  • VueBounding Box (Bool): cette propriété n'est pas héritée par les réseaux de liens (Link).
  • VueDisplay Mode (Enumeration): pour les réseaux de liens, il peut s'agir de Link ou ChildView. Pour les autres réseaux, il peut s'agir de : Flat Lines, Shaded, Wireframe ou Points
  • VueShow In Tree (Bool)
  • VueVisibility (Bool)

Draft

  • VuePattern (Enumeration) : non utilisé.
  • VuePattern Size (Float) : non utilisé.

Object style

Les propriétés de ce groupe ne sont pas héritées par les réseaux de liens.

Script

Voir aussi : Autogenerated API documentation et FreeCAD Débuter avec les scripts.

Pour créer un réseau de points, utilisez la méthode make_point_array (Introduit dans la version 0.19) de l'atelier Draft. Cette méthode remplace la méthode dépréciée makePointArray.

point_array = make_point_array(base_object, point_object, extra=None, use_link=True)
  • base_object est l'objet à mettre en réseau. Il peut également s'agir du Label (chaîne de caractères) d'un objet du document courant.
  • point_object est l'objet contenant les points. Il peut également s'agir du Label (chaîne de caractères) d'un objet du document courant. Il doit avoir une propriété Geometry, Links, ou Components contenant des points.
  • extra est un App.Placement, un App.Vector ou un App.Rotation qui déplace chaque élément.
  • Si use_link est True, les éléments créés sont des App Links au lieu de copies ordinaires.

Exemple:

import FreeCAD as App
import Draft

doc = App.newDocument()

polygon = Draft.make_polygon(3, radius=500.0)

p1 = Draft.make_point(App.Vector(1500, 0, 0))
p2 = Draft.make_point(App.Vector(2500, 0, 0))
p3 = Draft.make_point(App.Vector(2000, 1000, 0))

compound = doc.addObject("Part::Compound", "Compound")
compound.Links = [p1, p2, p3]

point_array = Draft.make_point_array(polygon, compound)
doc.recompute()